{% extends "base/base.html" %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{% block title %} Historial {% endblock title %}</title>
</head>
<body>
    {% block content %}
    <table class="table table-striped table-hover">
        <thead>
            <th>Número de Cita</th>
            <th>Fecha</th>
            <th>Hora</th>
            <th>Número del Tecnico</th>
            <th>Usuario</th>
            <th></th>

        </thead>
        <tbody>
            {% for Cita in Cita %}
                <tr>
                    <td>{{ Cita.Numero }}</td>
                    <td>{{ Cita.Fecha }}</td>
                    <td>{{ Cita.Hora }}</td>
                    <td>{{ Cita.Tecnico }}</td>
                    <td>{{ Cita.Usuario }}</td>
                    <td><a href="{% url 'home:DetailCita' Cita.Numero %}" class="btn btn-outline-info"> Detalles </a></td>
                    <td><a href="{% url 'home:deleteCitas' Cita.Numero %}" class="btn btn-outline-danger">Eliminar</a></td>
                </tr>
            {% endfor %}
        </tbody>
    </table>

    <footer class="text-center text-white" style="background-color: #0a4275;">
        <div class="container p-4 pb-0">
            <section class="">
                <p class="d-flex justify-content-center align-items-center">
                    <span class="me-3">Gestión de citas para el corazón de tu industria: Bienvenido a MachineryFix.</span>
                </p>
            </section>
        </div>
        <div class="text-center p-3" style="background-color: rgba(0, 0, 0, 0.2);">
            © 2023 Copyright:
            <a class="text-white" href="https://mdbootstrap.com/">MachineryFix.com</a>
        </div>
    </footer>

    {% endblock content %}
</body>
</html>